#include "MMovieControl.h"
// =================================================================================
//	CColorControl.cp					1995 Metrowerks Inc. All rights reserved.
// =================================================================================

#include <LString.h>
#include <UDrawingState.h>
#include <UGraphicsUtilities.h>




// ---------------------------------------------------------------------------------
//		 CreateColorControlStream [static]
// ---------------------------------------------------------------------------------


void
MMovieView::ListenToMessage( MessageT theMessage, void *ioParam )
{
	switch( theMessage )
	{
		case msg_PlayMovie:
			{
				break;
			}
	}
	if( ioParam )
	{
		return;
	}
}

MMovieView *
MMovieView::CreateMoviePaneStream( LStream	*inStream )
{
	return (new MMovieView( inStream ));
}


// ---------------------------------------------------------------------------------
//		 MMovieView
// ---------------------------------------------------------------------------------

MMovieView::MMovieView()
{
	mMovieTitle = gEmptyString;
}


MMovieView::MMovieView(
	LStream	*inStream )
		: LView( inStream )
{
	// Initialize the color from the stream.
	inStream->ReadPString( mMovieTitle );
}


// ---------------------------------------------------------------------------------
//		 ~MMovieView
// ---------------------------------------------------------------------------------

MMovieView::~MMovieView()
{
}



// ---------------------------------------------------------------------------------
//		 DrawSelf
// ---------------------------------------------------------------------------------

void
MMovieView::DrawSelf()
{
	// Save and normalize the color and pen states.
	StColorPenState savePenState;
	StColorPenState::Normalize();
	
	// Calculate the frame rect.
	Rect	theFrame;
	CalcLocalFrameRect( theFrame );
	
	// Frame the control.
	::FrameRect( &theFrame );
	
}


