#pragma once

#include "MMappConstants.h"
#include <LView.h>
#include <LStream.h>
#include <LListener.h>
#include <LBroadcaster.h>



class MMovieView : public LView,
				   public LBroadcaster,
				   public LListener {
public:
	enum { class_ID = 'Qtme' };
							
							MMovieView();
	static MMovieView *	CreateMoviePaneStream( LStream *inStream );	
							MMovieView( LStream *inStream );
	virtual void			ListenToMessage( MessageT theMessage, void *ioParam );			
	virtual 				~MMovieView();

							
protected:
	LStr255					mMovieTitle;

	virtual void			DrawSelf();
};
