#pragma once

#include "MMappConstants.h"
#include <LView.h>
#include <LStream.h>
#include <LListener.h>
#include <LPeriodical.h>
#include <LBroadcaster.h>



class MMovieView : public LView,
				   public LListener {
public:
	enum { class_ID = 'Qtme' };
	
							MMovieView();
	static MMovieView* 		CreateMoviePaneStream( LStream *inStream );	
							MMovieView( LStream *inStream );
	virtual void			ListenToMessage( MessageT theMessage, void *ioParam );	
	virtual	StringPtr		GetMovieTitle( Str255	outTitle ) const;
	Movie					GetMovieFile( void );
	virtual void			SetMovie( void );
	virtual void			PlayMovie( void );
	virtual 				~MMovieView();
	
							
protected:
	
	virtual void			DrawSelf();
	
private:
	short					movieResRef;
	LStr255					mMovieTitle;
	Movie					theMovie;
	Boolean					FileExists;
	Boolean					FileOpen;
};
